Loading...
Searching...
No Matches
tagged_stream_multiply_length.h
Go to the documentation of this file.
/* -*- c++ -*- */
/* Copyright 2013 Free Software Foundation, Inc.
*
* This file is part of GNU Radio
*
* SPDX-License-Identifier: GPL-3.0-or-later
*
*/
#ifndef INCLUDED_TAGGED_STREAM_MULTIPLY_LENGTH_H
#define INCLUDED_TAGGED_STREAM_MULTIPLY_LENGTH_H
#include <gnuradio/blocks/api.h>
#include <gnuradio/tagged_stream_block.h>
namespace gr {
namespace blocks {
/*!
* \brief Allows scaling of a tagged stream length tag
* \ingroup stream_operators_blk
*
* \details
* Searches for a specific tagged stream length tag and multiplies
* that length by a constant - for constant rate change blocks
* in a tagged stream
*/
class BLOCKS_API tagged_stream_multiply_length : virtual public block
{
public:
typedef std::shared_ptr<tagged_stream_multiply_length> sptr;
virtual void set_scalar(double scalar) = 0;
/*!
* Make a tagged stream multiply_length block.
*
* \param itemsize Items size (number of bytes per item)
* \param lengthtagname Length tag key
* \param scalar value to scale length tag values by
*/
static sptr make(size_t itemsize, const std::string& lengthtagname, double scalar);
};
} // namespace blocks
} // namespace gr
#endif /* INCLUDED_TAGGED_STREAM_MULTIPLY_LENGTH_H */
gr::block
The abstract base class for all 'terminal' processing blocks.
Definition gnuradio-runtime/include/gnuradio/block.h:63
gr::blocks::tagged_stream_multiply_length
Allows scaling of a tagged stream length tag.
Definition tagged_stream_multiply_length.h:29
gr::blocks::tagged_stream_multiply_length::sptr
std::shared_ptr< tagged_stream_multiply_length > sptr
Definition tagged_stream_multiply_length.h:31
gr::blocks::tagged_stream_multiply_length::set_scalar
virtual void set_scalar(double scalar)=0
gr::blocks::tagged_stream_multiply_length::make
static sptr make(size_t itemsize, const std::string &lengthtagname, double scalar)
api.h
BLOCKS_API
#define BLOCKS_API
Definition gr-blocks/include/gnuradio/blocks/api.h:18
gr
GNU Radio logging wrapper.
Definition basic_block.h:29
tagged_stream_block.h